NetBSD Problem Report #52336

From martin@duskware.de  Sun Jun 25 12:31:41 2017
Return-Path: <martin@duskware.de>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.netbsd.org", Issuer "Postmaster NetBSD.org" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id A2D847A175
	for <gnats-bugs@gnats.NetBSD.org>; Sun, 25 Jun 2017 12:31:41 +0000 (UTC)
From: martin@NetBSD.org
Reply-To: martin@NetBSD.org
To: gnats-bugs@NetBSD.org
Subject: security/polkit pkg should be removed
X-Send-Pr-Version: 3.95

>Number:         52336
>Category:       pkg
>Synopsis:       security/polkit pkg should be removed
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Jun 25 12:35:00 +0000 2017
>Originator:     Martin Husemann
>Release:        NetBSD 8.99.1
>Organization:
The NetBSD Foundation, Inc.
>Environment:
System: NetBSD night-owl.duskware.de 8.99.1 NetBSD 8.99.1 (NIGHT-OWL) #515: Sat Jun 24 14:01:21 CEST 2017 martin@night-owl.duskware.de:/usr/src/sys/arch/amd64/compile/NIGHT-OWL amd64
Architecture: x86_64
Machine: amd64
>Description:

A pkg in the "security" category that requires building with a JS engine
(spidermonkey17) that has not received any security updates in the last
ten or so years is a really bad joke.

It should just be removed.

>How-To-Repeat:
Code inspection.

>Fix:
n/a

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2014 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.